
Foreman - Bug #15636

Foreman Cannot Import Facts from Puppet due to ActiveRecord Validation

07/10/2016 01:45 PM - Matt Ouille

Status: Resolved   

Priority: High   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

2016-07-10T05:02:27 [app] [I] Started POST "/api/hosts/facts" for 192.168.146.2 at 2016-07-10 05:0

2:27 +0000

2016-07-10T05:02:27 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2016-07-10T05:02:27 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"s14.dal.sdlbk.com", "

certname"=>"s14.dal.sdlbk.com", "apiv"=>"v2", :host=>{"name"=>"s14.dal.sdlbk.com", "certname"=>"s1

4.dal.sdlbk.com"}}

2016-07-10T05:02:27 [app] [I] Import facts for 's14.dal.sdlbk.com' completed. Added: 0, Updated: 5

, Deleted 0 facts

2016-07-10T05:02:27 [app] [W] Action failed

 | ActiveRecord::RecordInvalid: Validation failed: Identifier Can't add or remove `.` from identif

ier

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/validations.rb:

56:in `save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/attribute_metho

ds/dirty.rb:33:in `save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `block in save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:313:in `block in with_transaction_returning_status'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:311:in `with_transaction_returning_status'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `save!'

 | /usr/share/foreman/app/models/host/base.rb:170:in `set_interfaces'

 | /usr/share/foreman/app/models/host/base.rb:150:in `populate_fields_from_facts'

 | /usr/share/foreman/app/models/host/managed.rb:455:in `populate_fields_from_facts'

 | /usr/share/foreman/app/models/host/base.rb:126:in `import_facts'

 | /usr/share/foreman/app/models/host/managed.rb:446:in `import_host_and_facts'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:200:in `facts'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/implici

t_render.rb:4:in `send_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:167

:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/renderi

ng.rb:10:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.r

b:18:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

518:in `block (5 levels) in _run__2656003941759002696__process_action__4212230388673428994__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7594'
 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7594'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

495:in `block (4 levels) in _run__2656003941759002696__process_action__4212230388673428994__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7593'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

326:in `around'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

310:in `_callback_around_2585'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7593'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

483:in `block (3 levels) in _run__2656003941759002696__process_action__4212230388673428994__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7592'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7592'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

482:in `block (2 levels) in _run__2656003941759002696__process_action__4212230388673428994__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7591'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7591'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

437:in `block in _run__2656003941759002696__process_action__4212230388673428994__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7590'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

326:in `around'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

310:in `_callback_around_13'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7590'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

403:in `_run__2656003941759002696__process_action__4212230388673428994__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_process_action_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.r

b:17:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/rescue.

rb:29:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/instrum

entation.rb:30:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

.rb:123:in `block in instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

.rb:123:in `instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/instrum

entation.rb:29:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/params_

wrapper.rb:207:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/railties/contro

ller_runtime.rb:18:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:121
:in `process'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/rendering.r

b:45:in `process'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal.rb:203:

in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/rack_de

legation.rb:14:in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal.rb:246:

in `block in action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:73:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:73:in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:36:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/mapper.

rb:43:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in c

all'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:608:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:9

7:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_

headers.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/best

_standards_support.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/conditionalget.rb:35:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/head

.rb:14:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/para

ms_parser.rb:21:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/flas

h.rb:242:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `co

ntext'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `ca

ll'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/cook

ies.rb:341:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/query_cache.rb:

64:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:479:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/call

backs.rb:28:in `block in call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `_run__1795169907072924858__call__989459523506429343__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_call_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/call

backs.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/remo

te_ip.rb:31:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/debu

g_exceptions.rb:16:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/show

_exceptions.rb:56:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/rack/logger.rb:32:in `call_

05/20/2024 3/6



app'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/rack/logger.rb:18:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/requ

est_id.rb:22:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/cache/strateg

y/local_cache.rb:72:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/stat

ic.rb:83:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forw

ard'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `inva

lidate'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/engine.rb:484:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:231:in `call

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:

in `method_missing'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/builder.rb:134:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:64:in `block in call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `each'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `call'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_req

uest'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:142:in `accept_an

d_process_next_request'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:110:in `main_loop

'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:448:in `block (3 levels) in star

t_threads'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:i

n `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:i

n `block in create_with_logging_context'

2016-07-10T05:02:27 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within api/v2/layo

uts/error_layout (0.6ms)

2016-07-10T05:02:27 [app] [I] Completed 500 Internal Server Error in 288.8ms (Views: 1.7ms | Activ

eRecord: 15.5ms)

2016-07-10T05:02:27 [app] [I] Started GET "/node/s14.dal.sdlbk.com?format=yml" for 192.168.146.2 a

t 2016-07-10 05:02:27 +0000

2016-07-10T05:02:27 [app] [I] Processing by HostsController#externalNodes as YML

2016-07-10T05:02:27 [app] [I]   Parameters: {"name"=>"s14.dal.sdlbk.com"}

2016-07-10T05:02:27 [app] [I]   Rendered text template (0.0ms)

2016-07-10T05:02:27 [app] [I] Completed 200 OK in 76.3ms (Views: 1.0ms | ActiveRecord: 11.2ms)

2016-07-10T05:02:27 [app] [I] Started POST "/api/reports" for 192.168.146.2 at 2016-07-10 05:02:27

 +0000

2016-07-10T05:02:27 [app] [I] Processing by Api::V2::ReportsController#create as JSON

2016-07-10T05:02:27 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}

2016-07-10T05:02:27 [app] [I] processing report for s14.dal.sdlbk.com

2016-07-10T05:02:27 [app] [I] Imported report for s14.dal.sdlbk.com in 0.02 seconds

2016-07-10T05:02:27 [app] [I] Completed 201 Created in 39.2ms (Views: 4.0ms | ActiveRecord: 0.0ms)

 
Loading production environment (Rails 3.2.21)

irb(main):001:0> Host.find('s14.dal.sdlbk.com').interfaces.inspect

  Host::Managed Load (2.1ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."name" = 's14.dal.sdlbk.com' LIMIT 1

  Nic::Base Load (0.6ms)  SELECT "nics".* FROM "nics" WHERE "nics"."host_id" = 8 ORDER BY identifi

er

=> "[#<Nic::Managed id: 8, mac: nil, ip: nil, type: \"Nic::Managed\", name: \"s14.dal.sdlbk.com\",

 host_id: 8, subnet_id: nil, domain_id: 1, attrs: {}, created_at: \"2016-07-10 03:52:23\", updated
_at: \"2016-07-10 03:53:03\", provider: nil, username: nil, password: nil, virtual: false, link: t

rue, identifier: \"\", tag: \"\", attached_to: \"\", managed: true, mode: \"balance-rr\", attached

_devices: \"\", bond_options: \"\", primary: true, provision: true, compute_attributes: {}>]" 

 This is preventing from facts being imported into foreman such at the IP, MAC, and OS. I can see that they are present and collected

correctly, just not imported.

Related issues:

Related to Foreman - Bug #13435: Windows fact import fails with: Can't add or... New 01/28/2016

History

#1 - 07/10/2016 03:14 PM - Matt Ouille

architecture => amd64

augeasversion => 1.2.0

blockdevice_fd0_size => 0

blockdevice_sda_model => QEMU HARDDISK

blockdevice_sda_size => 10741612544

blockdevice_sda_vendor => QEMU

blockdevice_sdb_model => QEMU HARDDISK

blockdevice_sdb_size => 541065216

blockdevice_sdb_vendor => QEMU

blockdevice_sdc_model => QEMU HARDDISK

blockdevice_sdc_size => 10473177088

blockdevice_sdc_vendor => QEMU

blockdevice_sdd_model => QEMU HARDDISK

blockdevice_sdd_size => 81340137472

blockdevice_sdd_vendor => QEMU

blockdevice_sr0_model => QEMU DVD-ROM

blockdevice_sr0_size => 1073741312

blockdevice_sr0_vendor => QEMU

blockdevices => fd0,sda,sdb,sdc,sdd,sr0

domain => dal.sdlbk.com

facterversion => 2.4.6

filesystems => btrfs,ext2,ext3,ext4,msdos,ufs,vfat,xfs

fqdn => s14.dal.sdlbk.com

gid => matt

hardwareisa => x86_64

hardwaremodel => x86_64

hostname => s14

id => matt

interfaces => eth0,eth0_1,lo

ipaddress => 45.33.15.53

ipaddress6 => 2600:3c00::f03c:91ff:fef1:d783

ipaddress6_eth0 => 2600:3c00::f03c:91ff:fef1:d783

ipaddress_eth0 => 45.33.15.53

ipaddress_eth0_1 => 192.168.164.95

ipaddress_lo => 127.0.0.1

is_virtual => true

kernel => Linux

kernelmajversion => 3.13

kernelrelease => 3.13.0-85-generic

kernelversion => 3.13.0

lsbdistcodename => trusty

lsbdistdescription => Ubuntu 14.04.4 LTS

lsbdistid => Ubuntu

lsbdistrelease => 14.04

lsbmajdistrelease => 14.04

macaddress => f2:3c:91:f1:d7:83

macaddress_eth0 => f2:3c:91:f1:d7:83

macaddress_eth0_1 => f2:3c:91:f1:d7:83

memoryfree => 7.48 GB

memoryfree_mb => 7654.86

memorysize => 7.80 GB

memorysize_mb => 7985.03

mtu_eth0 => 1500

mtu_eth0_1 => 1500

mtu_lo => 65536

netmask => 255.255.255.0

netmask_eth0 => 255.255.255.0

netmask_eth0_1 => 255.255.128.0

netmask_lo => 255.0.0.0

network_eth0 => 45.33.15.0

network_eth0_1 => 192.168.128.0
network_lo => 127.0.0.0

operatingsystem => Ubuntu

operatingsystemmajrelease => 14.04

operatingsystemrelease => 14.04

os => {"name"=>"Ubuntu", "family"=>"Debian", "release"=>{"major"=>"14.04", "full"=>"14.04"}, "lsb"=>{"distcode

name"=>"trusty", "distid"=>"Ubuntu", "distdescription"=>"Ubuntu 14.04.4 LTS", "distrelease"=>"14.04", "majdist

release"=>"14.04"}}

osfamily => Debian

path => /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games

physicalprocessorcount => 4

processor0 => Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz

processor1 => Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz

processor2 => Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz

processor3 => Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz

processorcount => 4

processors => {"models"=>["Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50

GHz", "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz", "Intel(R) Xeon(R) CPU E5-2680 v3 @ 2.50GHz"], "count"=>4, "

physicalcount"=>4}

ps => ps -ef

puppetversion => 3.8.7

rubyplatform => x86_64-linux

rubysitedir => /usr/local/lib/site_ruby/1.9.1

rubyversion => 1.9.3

selinux => false

swapfree => 512.00 MB

swapfree_mb => 512.00

swapsize => 512.00 MB

swapsize_mb => 512.00

system_uptime => {"seconds"=>1131735, "hours"=>314, "days"=>13, "uptime"=>"13 days"}

timezone => UTC

uniqueid => a8c05fa4

uptime => 13 days

uptime_days => 13

uptime_hours => 314

uptime_seconds => 1131735

virtual => kvm

#2 - 07/10/2016 03:23 PM - Anonymous

- Related to Bug #13435: Windows fact import fails with: Can't add or remove `.` from identifier added

#3 - 05/22/2017 12:07 PM - Marek Hulán

- Status changed from New to Need more information

There have been multiple improvements in this area since Foreman 1.9, is it still reproducible with current version?

#4 - 09/13/2018 04:50 PM - Anonymous

- Status changed from Need more information to Resolved

probably resolved.
